Bug 496602 - epiphany not always showing favicon next to URL bar
epiphany not always showing favicon next to URL bar
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 06:18 EDT by Denis Leroy
Modified: 2010-06-28 08:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
additional patch (476 bytes, patch)
2009-04-20 07:16 EDT, Yanko Kaneti
no flags Details | Diff

  None (edit)
Description Denis Leroy 2009-04-20 06:18:45 EDT
galeon and epiphany are no longer showing a web site "faveicon.ico" icon next to the URL bar or in the bookmarks toolbar/menu. This makes it impossible to create minimalist "icon-only" toolbar bookmarks.

I'm initially filing this bug against xulrunner to get some initial help. Are you guys aware of an API change that is causing this ? What would be the API call to grep for in the epiphany/galeon source code ?

thx
-denis
Comment 1 Yanko Kaneti 2009-04-20 07:16:43 EDT
Created attachment 340317 [details]
additional patch 

I am guessing there have been (internal to mozilla, but nevertheless important to embedders) *CONTRACTID changes to some of the interfaces galeon/epiphany are using. Rebuilding against current xulrunner helps here. Needed this additional patch.
Comment 2 Denis Leroy 2009-04-20 08:21:06 EDT
Yanko, thanks for the patch. Indeed recompiling galeon fixed it.

After recompiling epiphany, the favicon.ico seems strangely flaky, with sites such as digg or slashdot not displaying the icons at all...

Reassigning to epiphany.
Comment 3 Bug Zapper 2009-06-09 10:11:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pedro Matiello 2009-07-24 19:24:44 EDT
This might be relevant to fix this issue: http://bugzilla.gnome.org/show_bug.cgi?id=578575#c5
Comment 5 Pedro Matiello 2009-07-25 21:07:07 EDT
By the way, I'm running epiphany-2.26.3-2.fc11.x86_64 here. And as the page linked in my previous post states, this bug only affects ICO pictures (favicons in PNG are shown correctly).

The patch attached to comment #5 in Gnome Bugzilla seems to fix the issue. I'll be happy to test any updates suggested by the maintainers too.

Direct link to patch: http://bugzilla.gnome.org/attachment.cgi?id=135109&action=view

Thanks
Comment 6 Bug Zapper 2010-04-27 09:48:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:06:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.